Package Details: ros-melodic-qt-gui-cpp 0.3.14-1

Git Clone URL: https://aur.archlinux.org/ros-melodic-qt-gui-cpp.git (read-only)
Package Base: ros-melodic-qt-gui-cpp
Description: ROS - qt_gui_cpp provides the foundation for C++-bindings for qt_gui and creates bindings for every generator available.
Upstream URL: https://wiki.ros.org/qt_gui_cpp
Licenses: BSD
Submitter: GPereira
Maintainer: bionade24
Last Packager: bionade24
Votes: 2
Popularity: 0.037168
First Submitted: 2018-05-08 14:15
Last Updated: 2019-10-13 09:42

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

joaocandre commented on 2019-06-25 14:55

If anyone's getting Qt lib errors,

 sed -i 's/$$\[QT_INSTALL_LIBS\]/\/usr\/lib/' src/build/sip/qt_gui_cpp_sip/Makefile

will fix them. Credit to @astier for the fix.

hansbonini commented on 2019-05-31 02:34

Run the package install for the first time, restart the compilation, add this line before cmake

        sed -i -e 's/\-l\-lpthread//g' sip/qt_gui_cpp_sip/Makefile

proceed the install with the edited PKGBUILD. Fixed

jidibinlin commented on 2019-05-26 01:50

I have this problem. And did`nt know how to solve it.please help me

[ 88%] Running SIP generator for qt_gui_cpp_sip Python bindings...

sip: Deprecation warning: qt_gui_cpp.sip:1: %Module version number should be specified using the 'version' argument

[ 94%] Compiling generated code for qt_gui_cpp_sip Python bindings... /usr/bin/ld: cannot find -l-lpthread

collect2: error: ld returned 1 exit status

make[3]: *** [Makefile:38: "/tmp/yaourt-tmp-qibin/aur-ros-melodic-qt-gui-cpp/src/build/devel/lib/python3.7/site-

packages/qt_gui_cpp/libqt_gui_cpp_sip".so] Error 1 make[2]: [src/qt_gui_cpp_sip/CMakeFiles/libqt_gui_cpp_sip.dir/build.make:61: devel/lib/python3.7/site-packages/qt_gui_cpp/libqt_gui_cpp_sip.so] Error 2 make[1]: [CMakeFiles/Makefile2:380: src/qt_gui_cpp_sip/CMakeFiles/libqt_gui_cpp_sip.dir/all] Error 2 make: *** [Makefile:130: all] Error 2 ==> ERROR: A failure occurred in build(). Aborting...

pingplug commented on 2019-04-04 09:23

/bin/sh: --generatorSet=shiboken: command not found

jwhendy commented on 2019-01-19 03:13

So odd. The fix to remove pyside2 worked, despite having an error it couldn't find pyside2_global.h on my initial failure. Other packages in the ros-melodic- ecosystem explicitly failed because I didn't* have sip and/or pyside2 installed though!?

Nim65s commented on 2019-01-17 09:29

@kira1771, @mortazamakasaadi: Cf. https://github.com/ros/catkin/pull/975

kira1771 commented on 2019-01-17 03:08

@mortazamakasaadi Did you find a fix for it? I was experiencing the same issue. After screwing around a little, I found a really hacky way to bypass it. grep shows that the Makefile in /var/tmp/pamac-build-username/ros-melodic-qt-gui-cpp/src/build/sip/qt_gui_cpp_sip is the culprit; on line 12, there's a -l-lpthread double linker argument which should be replaced by -lpthread. Doing that alone does not mitigate the issue as the file is regenerated during build. But if you do sudo chmod a-w Makefile, the generator can't overwrite the changes. I then built the package manually with makepkg. If you have a better solution please let me know.

mortazamakasaadi commented on 2018-12-10 08:40

I managed to pass shiboken error by removeing everything related to pyside2. but now I am facing:

[ 88%] Compiling generated code for qt_gui_cpp_sip Python bindings...
make[3]: warning: jobserver unavailable: using -j1. Add '+' to parent make rule.
/bin/ld: cannot find -l-lpthread
collect2: error: ld returned 1 exit status
make[3]: [Makefile:38: "/home/mak/ros-melodic-qt-gui-cpp/src/build/devel/lib/python3.7/site-packages/qt_gui_cpp/libqt_gui_cpp_sip".so] Error 1
make[2]:
[src/qt_gui_cpp_sip/CMakeFiles/libqt_gui_cpp_sip.dir/build.make:61: devel/lib/python3.7/site-packages/qt_gui_cpp/libqt_gui_cpp_sip.so] Error 2
make[1]: [CMakeFiles/Makefile2:380: src/qt_gui_cpp_sip/CMakeFiles/libqt_gui_cpp_sip.dir/all] Error 2
make:
[Makefile:130: all] Error 2

I have sip and python-sip installed but error is still there... do not know what to do!

kaur commented on 2018-11-27 03:37

Didn't compile properly. Adding 'sip' and 'python-sip' as make dependencies solved the issue.

cbjamo commented on 2018-11-14 21:08

I had to remove the "pyside2" package to fix the shiboken error.